<?php
if ( is_front_page() ) {
  return;
}

if ( is_single() ) {
  if ( get_theme_mod( 'rdcode_single_title_align', 'single_left_align_title' ) == 'single_left_align_title' ) {
    $title_align = 'text-left';
  } elseif ( get_theme_mod( 'rdcode_single_title_align', 'single_center_align_title' ) == 'single_center_align_title' ) {
    $title_align = 'text-center';
  } elseif ( get_theme_mod( 'rdcode_single_title_align', 'single_right_align_title' ) == 'single_right_align_title' ) {
    $title_align = 'text-right';
  }

  $section_class = 'section-post-height';
} elseif ( is_page() ) {
  if ( get_theme_mod( 'rdcode_single_page_title_align', 'single_left_align_title' ) == 'single_left_align_title' ) {
    $title_align = 'text-left';
  } elseif ( get_theme_mod( 'rdcode_single_page_title_align', 'single_center_align_title' ) == 'single_center_align_title' ) {
    $title_align = 'text-center';
  } elseif ( get_theme_mod( 'rdcode_single_page_title_align', 'single_right_align_title' ) == 'single_right_align_title' ) {
    $title_align = 'text-right';
  }

  $section_class = 'section-page-height';
} elseif ( is_archive() ) {
  if ( get_theme_mod( 'rdcode_archive_title_align', 'single_left_align_title' ) == 'single_left_align_title' ) {
    $title_align = 'text-left';
  } elseif ( get_theme_mod( 'rdcode_archive_title_align', 'single_center_align_title' ) == 'single_center_align_title' ) {
    $title_align = 'text-center';
  } elseif ( get_theme_mod( 'rdcode_archive_title_align', 'single_right_align_title' ) == 'single_right_align_title' ) {
    $title_align = 'text-right';
  }

  $section_class = 'section-archive-height';
}

$page_class = '';
$rdcode_bead_div_option = get_theme_mod( 'rdcode_bead_div_option', 'show' );
if ( ! empty ( $rdcode_bead_div_option ) && $rdcode_bead_div_option == 'show' ) {
?>
<!-- page title -->
<section class="<?php echo esc_attr($section_class); ?> page-title position-relative breadcrumb-main">
  <div class="container">
    <div class="row">
      <div class="col-12 <?php echo esc_attr( $title_align ); ?>">
        <h1 class="text-white font-tertiary">
          <?php 
            if ( is_home() ) {
              echo esc_html__( "Blog", "dcode" );
            } else {
              if ( is_single() ) {
                if ( get_theme_mod( 'rdcode_post_title_layout', 'above' ) == 'above' && get_theme_mod( 'rdcode_show_post_title', 'show' ) == 'show' ) { the_title(); }
                $page_class = 'single-post';

              } elseif ( is_page() ) {
                if ( get_theme_mod( 'rdcode_page_title_layout', 'above' ) == 'above' && get_theme_mod( 'rdcode_show_page_title', 'show' ) == 'show' ) { the_title(); }
                $page_class = 'single-page';

              } elseif ( is_archive() ) {
                if ( get_theme_mod( 'rdcode_archive_title_layout', 'above' ) == 'above' && get_theme_mod( 'rdcode_show_archive_title', 'show' ) == 'show' ) { the_archive_title( '', '' ); }
                $page_class = 'single-archive';

              } else {
                the_title();
              }
            } 
          ?>
        </h1>
		<nav>
			<ol class="<?php echo esc_attr( $page_class ); ?> breadcrumb bg-transparent d-flex justify-content-center text-white wow fadeInLeft">
			 <?php 
          global $post;
          $showOnHome  = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
          $home        = esc_html__( 'Home', 'dcode' ); // text for the 'Home' link
          $showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
          $homeLink    = home_url();

          if ( is_home() || is_front_page() ) {
            if ( $showOnHome == 1 ) echo '<li class="breadcrumb-item"><a href="'.esc_attr( esc_url( $homeLink ) ).'">'.esc_html( $home ).'</a></li>';
          }
          else {
            echo '<li class="breadcrumb-item"><a href="'.esc_attr( esc_url( $homeLink ) ).'">'.esc_html( $home ).'</a></li>';
            if ( is_category() ) {
                global $wp_query;
                $catt_obj   = $wp_query->get_queried_object();
                $thisCat   = $catt_obj->term_id;
                $thisCat   = get_category( $thisCat );
                $parentCat = get_category( $thisCat->parent );
                if ( $thisCat->parent != 0 ) echo '<li class="breadcrumb-item">'.wp_kses_post( get_category_parents( $parentCat, TRUE, ' ' ) ).'</li>';
                echo '<li class="breadcrumb-item active">'. esc_html__( 'Archive by category', 'dcode' ).' "' . single_cat_title( '', false)  . '"'."</li>";
            }
            elseif ( is_search() ) {
              echo '<li class="breadcrumb-item active">'.esc_html__( 'Results for', 'dcode' ).' "' . get_search_query() . '"'."</li>";
            }
            elseif ( is_day() ) {
              echo '<li class="breadcrumb-item"><a href="' . esc_attr( esc_url( get_year_link( get_the_time( 'Y' ) ) ) ) . '">' . esc_html( get_the_time( 'Y' )  ). '</a></li> ';
              echo '<li class="breadcrumb-item"><a href="' . esc_attr( esc_url( get_month_link( get_the_time( 'Y' ),get_the_time( 'm' ) ) ) ) . '">' . esc_html( get_the_time( 'F' ) ) . '</a></li> ';
              echo '<li class="breadcrumb-item active">'.esc_html( get_the_time( 'd' ) )."</li>";
            }
            elseif ( is_month() ) {
              echo '<li class="breadcrumb-item"><a href="' . esc_attr( esc_url( get_year_link( get_the_time( 'Y' ) ) ) ) . '">' . esc_html( get_the_time( 'Y' ) ) . '</a></li> ';
              echo '<li class="breadcrumb-item active">'.esc_html( get_the_time( 'F' ) )."</li>";
            }
            elseif ( is_year() ) {
              echo '<li class="breadcrumb-item active">'.esc_html( get_the_time( 'Y' ) )."</li>";
            }
            elseif ( is_single() && !is_attachment() ) {
              if ( get_post_type() != 'post' ) {
                $post_typee = get_post_type_object( get_post_type() );
                $slug       = $post_typee->rewrite;
                echo '<li class="breadcrumb-item"><a href="' . esc_attr( esc_url( $homeLink ) ) . '/' . esc_attr( esc_url( $slug['slug'] ) ) . '/">' . esc_html( $slug['slug'] ) . '</a></li>';
                if ( $showCurrent == 1 ) echo '<li class="breadcrumb-item active">'.esc_html( get_the_title() ).'</li>';
              }
              else {
                $catt = get_the_category(); 
                $catt = $catt[0];
                is_wp_error( $catts = get_category_parents( $catt, TRUE, ' ' ) ) ? '' : $catts; 
                if ( $showCurrent == 0 ) $catts = preg_replace( "/^(.+)\s \s$/", "$1", $catts );
                if ( $showCurrent == 1 ) echo '<li class="breadcrumb-item active">'.wp_kses_post( get_the_title() ).'</li>';
              }
            }
            elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
              $post_typee = get_post_type_object(get_post_type());
              echo esc_html(get_post_type_object(get_post_type()))->labels->singular_name;
            }
            elseif ( is_attachment() ) {
              $parent = get_post( $post->post_parent );
              echo '<li class="breadcrumb-item"><a href="' . esc_attr( esc_url( get_permalink( $parent ) ) ) . '">' . esc_html( $parent->post_title ) . '</a></li>';
              if ( $showCurrent == 1 ) echo '<li class="breadcrumb-item active">'.esc_html( get_the_title() ).'</li>';
            }
            elseif ( is_page() && !$post->post_parent ) {
              if ( $showCurrent == 1 ) echo '<li class="breadcrumb-item active">'.esc_html( get_the_title() ).'</li>';
            }
            elseif ( is_page() && $post->post_parent ) {
              $parent_id   = $post->post_parent;
              $breadcrumbs = array();
              while ( $parent_id ) {
                $pagee          = get_page( $parent_id );
                $breadcrumbs[]  = '<li class="breadcrumb-item"><a href="' . esc_attr( esc_url( get_permalink( $pagee->ID ) ) ) . '">' . esc_html(get_the_title( $pagee->ID ) ) . '</a></li> ';
                $parent_id      = $pagee->post_parent;
              }
              $breadcrumbs = array_reverse( $breadcrumbs );
              foreach ( $breadcrumbs as $crumb ) echo !empty( $crumb ) ? wp_kses_post( $crumb ) : '';
              if ( $showCurrent == 1 ) echo '<li class="breadcrumb-item active">'.esc_html( get_the_title() ).'</li>';
            }
            elseif ( is_tag() ) {
              echo '<li class="breadcrumb-item active">'.esc_html__( 'Posts tagged for ', 'dcode' ).' "' . single_tag_title( '', false ) . '"'.'</li>';
            }
            elseif ( is_author() ) {
              global $author;
              $userdataa = get_userdata( $author );
              echo '<li class="breadcrumb-item active">'.esc_html__( 'Articles posted by', 'dcode' ).' ' . esc_html( $userdataa->display_name ).'</li>';
            }
            elseif ( is_404() ) {
              echo '<li class="breadcrumb-item active">'.esc_html__( 'Error 404', 'dcode' ).'</li>';
            }
          }
        ?>
			</ol>
		 </nav>
      </div>
    </div>
  </div>
</section>
<!-- /page title -->
<?php } ?>