<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Dcode
 * @since 1.0
 */

?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'content mb-60 blog-content' ); ?>>
    <div class="blog-content">
        <?php 
			if ( get_theme_mod( 'rdcode_page_title_layout', 'above' ) == 'below' && get_theme_mod( 'rdcode_show_page_title', 'show' ) == 'show' ) {
                the_title( '<h2 class="font-tertiary mb-4">', '</h2>' );
            }

            if ( has_post_thumbnail() && get_theme_mod( 'rdcode_single_page_fimage', 'show' ) == 'show' ) {
                rdcode_post_thumbnail(); 
            }
        ?>
        <div class="entry-content">
            <?php
                the_content();

                wp_link_pages( array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'dcode' ),
                    'after'  => '</div>',
                ) );
            ?>
        </div><!-- .entry-content -->

        <?php if ( get_edit_post_link() ) : ?>
            <footer class="entry-footer">
                <?php
                    edit_post_link(
                        sprintf(
                            wp_kses(
                                /* translators: %s: Name of current post. Only visible to screen readers */
                                __( 'Edit <span class="screen-reader-text">%s</span>', 'dcode' ),
                                array(
                                    'span' => array(
                                        'class' => array(),
                                    ),
                                )
                            ),
                            get_the_title()
                        ),
                        '<span class="edit-link">',
                        '</span>'
                    );
                ?>
            </footer><!-- .entry-footer -->
        <?php endif; ?>
    </div>
</div><!-- #post-<?php the_ID(); ?> -->